image: registry.gitlab.com/marvelsofttraining/docker-images/alpine-clang:latest
stages:
    - Build
    - Test
    - Deploy
build:
    stage: Build
    script:
      - clang++ -std=c++17 test3.cpp
    artifacts:
      paths:
        - test3.cpp
      name: "mojnizgeneric"
      expire_in: 1 week
    only:
      - merge_requests
      - web

test:
    stage: Test
    dependencies: 
      - build
    only: 
     - merge_requests
     - web

